Subject: Approaching 1.2.x, I hope
From: Linus Torvalds <[email-masked]>
Date: 30 Jul 1994 02:05:45 +0300
Newsgroups: comp.os.linux.announce

I'm slowly making ready for something looking like a code-freeze for
1.2.x, and that means you can all start doing your favuorite pre-release
stuff: doing weird things to the latest kernels and seeing how they
break.  And maybe even sending me in a report (or patches if you feel
like it). 

The latest kernel right now is 1.1.36 (but they have changed daily) and
contains the "mprotect()" system call that some people have been asking
for.  The last kernels have gone through major re-organizations in the
memory manager, so we'll see how well it works out.  Also, I wrote the
mprotect stuff from scratch instead of using any of the old patches, so
that's rather untested.  If you have something depending on mprotect, do
give this one a try. 

(aside: the mmap() interface still doesn't allow shared writeable
mappings, but now you can do a shared read-only map and then "upgrade"
it with mprotect().  That's not supposed to work, but I didn't bother to
put in the extra checks, as I hope to have real write-mappings working
some day.  Going through mprotect is likely to give bogus results etc:
don't even try it as the kernel may do strange things.)

Lots of other stuff has also changed in the 1.1.x releases - sorry for
not doing release-notes, but I'm too lazy.  Essentially everything is
faster, bigger and better, but it may be a bit unstable which is why I'd
like people to test it out.  The credit goes to everybody who has
written code and tested so far (including, but in no way limited to Alan
Cox, Eric Youngdale, Mark Lord, Jacques Gelinas, Hannu Savolainen, Frank
Lofaro, Rik Faith, Björn Ekwall, Remy Card, Dmitry Gorodchanin ..  the
list goes on forever). 

Anyway, I hope 1.1.40 (or 1.1.50 or whatever) will turn out stable
enough to be called 1.2.0 so that people who want to use mainly stable
kernels know which version to get.  Sadly, everything always works
perfectly for me, so in order to find the problems some outside help is
needed. 

		Linus

--
Send submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.